#include "CMPS2.h"

CMPS2 myCMPS;

int degree = 0;
int declination = 0;
int i = 0;
char numStr[6];

void setup() {
  Serial.begin(115200);

  delay(10); //delay required prior to running init()

  myCMPS.init();
}

void loop() {

  Serial.println("Please enter the Magnetic declination at your location");
  Serial.println("East is positive and West is negative:  ");
  
  delay(2000);
  
        // read the characters from the buffer into a character array
  for( i = 0; i < 6; ++i ) {
    numStr[i] = Serial.read();
  }

  numStr[i] = '\0';

  declination = atoi(numStr);

  Serial.println(declination);

  myCMPS.setDeclination(declination);

  while(1)
  {
      degree = myCMPS.readHeading();

      Serial.print("\tDegree: "); Serial.print(degree);
      Serial.println();

      Serial.flush();

      delay(20);
  }

}
